### Method

# Xdp Session keyboard_key

#### Declaration [src]

    void
    xdp_session_keyboard_key (
      XdpSession* session,
      gboolean keysym,
      int key,
      XdpKeyState state
    )

#### Description [src]

Changes the state of the key to `state`.

May only be called on a remote desktop session with `XDP_DEVICE_KEYBOARD` access.

#### Parameters

`keysym` | `gboolean`
| Whether to interpret `key` as a keysym instead of a keycode.
`key` | `int`
| The keysym or keycode to change.
`state` | `XdpKeyState`
| The new state.